Bug 496477 - Review Request: perl-WWW-Pastebin-PastebinCom-Create - Paste to http://pastebin.com from Perl
Review Request: perl-WWW-Pastebin-PastebinCom-Create - Paste to http://pasteb...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
http://search.cpan.org/dist/WWW-Paste...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 10:40 EDT by Iain Arnell
Modified: 2009-05-09 00:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.002-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-23 23:30:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Chris Weyl 2009-04-19 16:06:40 EDT
There's an examples/ directory, why not include it in %doc?

Otherwise, looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307887

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
89808e8d97b52f47c4921508d0a79dc602e3d843 WWW-Pastebin-PastebinCom-Create-0.002.tar.gz
89808e8d97b52f47c4921508d0a79dc602e3d843 WWW-Pastebin-PastebinCom-Create-0.002.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-WWW-Pastebin-PastebinCom-Create-0.002-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-WWW-Pastebin-PastebinCom-Create-0.002-1.fc10.src.rpm
====> requires for perl-WWW-Pastebin-PastebinCom-Create-0.002-1.fc10.src.rpm
perl(LWP::UserAgent) >= 2.036
perl(Module::Build)  
perl(Test::Kwalitee)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  
perl(URI) >= 1.35

=====> perl-WWW-Pastebin-PastebinCom-Create-0.002-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-WWW-Pastebin-PastebinCom-Create-0.002-1.fc10.noarch.rpm
perl(WWW::Pastebin::PastebinCom::Create) = 0.002
perl-WWW-Pastebin-PastebinCom-Create = 0.002-1.fc10
====> requires for perl-WWW-Pastebin-PastebinCom-Create-0.002-1.fc10.noarch.rpm
perl(Carp)  
perl(LWP::UserAgent)  
perl(:MODULE_COMPAT_5.10.0)  
perl(overload)  
perl(strict)  
perl(URI)  
perl(warnings)  

APPROVED
Comment 2 Iain Arnell 2009-04-19 16:25:44 EDT
New Package CVS Request
=======================
Package Name: perl-WWW-Pastebin-PastebinCom-Create
Short Description: Paste to http://pastebin.com from Perl
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-23 12:41:47 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-23 23:28:28 EDT
perl-WWW-Pastebin-PastebinCom-Create-0.002-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-WWW-Pastebin-PastebinCom-Create-0.002-2.fc10
Comment 5 Fedora Update System 2009-04-23 23:28:33 EDT
perl-WWW-Pastebin-PastebinCom-Create-0.002-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-WWW-Pastebin-PastebinCom-Create-0.002-2.fc11
Comment 6 Iain Arnell 2009-04-23 23:30:33 EDT
Thanks for the review! :-)
Comment 7 Fedora Update System 2009-05-06 19:31:40 EDT
perl-WWW-Pastebin-PastebinCom-Create-0.002-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-05-09 00:18:43 EDT
perl-WWW-Pastebin-PastebinCom-Create-0.002-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.